#include "test_sram.lsl"
#ifdef __SW_LSL
#include __SW_LSL
#endif

derivative system
{
    core sw
    {
        architecture = __SW_ARCH;
    }

    memory IRAM
    {
        mau = 8;
        type = ram;
        size = 8k;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=8k, size=8k);
    }

    memory IROM
    {
        mau = 8;
        type = rom;
        size = 8k;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0, size=8k);
    }

    memory XRAM
    {
        mau = 8;
        type = ram;
        size = 512K;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0x10000000, size=512K);
    }



    // Software Platform locate rules
    #ifdef __SWPLATFORM__
    #include "framecfg\swplatform.lsl"
    #endif




}
